import {Component, OnInit, ViewChild} from '@angular/core';
import {OverAllService} from '../overAll.service';
import {pageSize} from '../../app.constants';
import {WebsiteComponent} from '../../modal/website/website.component';
import {Router} from '@angular/router';

@Component({
    selector: 'smart-network-check',
    templateUrl: './network-check.component.html',
    styles: []
})
export class NetworkCheckComponent implements OnInit {
    @ViewChild('smartWebsite') smartWebsite:WebsiteComponent;

    dataSet;
    deviceNo;
    loading = false;
    allChecked;

    name;
    pageIndex = 1;
    pageSize = pageSize;
    totalNum;

    checkStatus = {
        green: '',
        yellow: '',
        red: '',
        gray: ''
    };

    constructor(private overAllSer: OverAllService,private router:Router) {
    }

    ngOnInit() {
        this.getwebList();
        this.getCheckStatus();
    }

    //网站列表
    getwebList() {
        this.loading = true;
        const data = {
            name:this.name,
            eventPage:this.pageIndex,
            pageRecords:this.pageSize
        };
        this.overAllSer.findWebscenario(data).subscribe(
            (res) => {
                if (res.errCode == 10000) {
                    this.dataSet = res.data.data;
                    this.totalNum = res.data.totalNum;
                }
                this.loading = false;
            }
        );
    }

    //详情
    goDetail(item){
        this.router.navigate(['app/main/network-detail'],{
            queryParams:{
                httptestid:item.httptestid,
            }
        })
    }

    //监测状态
    getCheckStatus() {

    }

    //添加网站
    showAddmodal(){
        this.smartWebsite.showAddModal();
    }

    //批量开启or关闭
    openBatchHost(status,opreation){

    }

    //批量删除
    batchDeleteConfirm(){

    }
}
