import {Component, OnInit} from '@angular/core';
import {OverAllService} from '../../overAll.service';
import {ActivatedRoute} from '@angular/router';
import {NzMessageService} from 'ng-zorro-antd';

@Component({
    selector: 'smart-network-detail',
    templateUrl: './network-detail.component.html',
    styles: []
})
export class NetworkDetailComponent implements OnInit {

    httptestid;  //网站ID
    alarmList;

    nowStatus;
    triggerList;
    chart;
    constructor(private overAllSer: OverAllService, private routerInfo: ActivatedRoute,
                private message:NzMessageService) {
    }

    ngOnInit() {
        this.routerInfo.queryParams.subscribe(
            (queryParams) => {
                this.httptestid = queryParams.httptestid;
            }
        );
        this.findAlertList();
        this.findTrigger();
        this.findChart();
        this.getNowStatus();
    }

    //历史告警
    findAlertList() {
        const data = {
            httptestid: this.httptestid
        };
        this.overAllSer.findAlert(data).subscribe(
            (res) => {
                if (res.errCode == 10000) {
                    this.alarmList = res.data.data;
                }
            }
        );
    }

    //当前状态
    getNowStatus() {
        this.overAllSer.findCurrentState(this.httptestid).subscribe(
            (res) => {
                if(res.errCode == 10000){
                    this.nowStatus = res.data;
                }
            }
        );
    }

    //阈值设定
    findTrigger() {
        this.overAllSer.findTrigger(this.httptestid).subscribe(
            (res) => {
                if(res.errCode == 10000){
                    this.triggerList = res.data;
                }else{
                    this.message.info(res.errMsg);
                }
            }
        );
    }

    //监测图表
    findChart() {
        const data = {
            startTime: '',
            limit: '',
            httptestid: this.httptestid
        };
        this.overAllSer.findChart(data).subscribe(
            (res) => {

            }
        );
    }

}
